/* =========================================================================
	This library is part of IshiSoft base class.
	------------------------------------------------------------------------
	author: Yuichiro Ishitani
			http://www001.upp.so-net.ne.jp/ishi/index.html
  ========================================================================== */
#if !defined(AFX_MYCONSOLE_H__A85471F3_DC11_4DCC_A53F_EEEDD3C1714A__INCLUDED_)
#define AFX_MYCONSOLE_H__A85471F3_DC11_4DCC_A53F_EEEDD3C1714A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "MySock.h"

class MyConsole : public MySock  
{
public:
	MyConsole( int nMaxLineSize = 1024 );
	virtual ~MyConsole();

	
	int GetArg( const char* pszCmdLine, char* pszArg, unsigned int nArgLen, unsigned int nArgNumber = 0 );
	virtual int Dialogue();
	void Close();
	int GetLine(char* pLine, int nSize, int* pbStop = NULL, int nIdleTimeout = 30);
private:
	int m_BufferSize;
	char* m_pBuffer;

};

#endif // !defined(AFX_MYCONSOLE_H__A85471F3_DC11_4DCC_A53F_EEEDD3C1714A__INCLUDED_)
