/* =========================================================================
	This library is part of IshiSoft base class.
	------------------------------------------------------------------------
	author: Yuichiro Ishitani
			http://www001.upp.so-net.ne.jp/ishi/index.html
  ========================================================================== */
#if !defined(AFX_USR_H__C5A5731A_3D53_4243_BE37_8D79FC9521B4__INCLUDED_)
#define AFX_USR_H__C5A5731A_3D53_4243_BE37_8D79FC9521B4__INCLUDED_

#include "MyConf.h"
#include "MyLog.h"
#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#define USR_ERR_BADPARAM			-3
#define USR_ERR_MEMORY				-2
#define USR_ERR_NAME				-1
#define USR_OTHER_DOMAIN			0
#define USR_LOCAL_DOMAIN			1


class Usr  
{
public:
	int DeliveryFile(const char *srcFile, MyHashEx *phsRcptLocal, MyHashFile *phsRcptRemote, MyLog* plog);
	int IsMyUser( const char* pszUsrName = NULL);
	int GetHomePath(const char *pszUsrName, char* pszDir);
	int ResolveAlias(const char* psDstDataLocalFile, MyHashEx *phsRcptLocal, MyHashFile *phsRcptRemote);
	Usr();
	virtual ~Usr();

protected:
	//MyConf m_conf;
};

#endif // !defined(AFX_USR_H__C5A5731A_3D53_4243_BE37_8D79FC9521B4__INCLUDED_)
