// pigeon.cpp : AvP[Vp̃Gg |Cg̒`
//

#include "stdafx.h"
#include "mystring.h"
#include "MySmtpTalker.h"

//-----------------------------------------------------------------------------
//	@detail
//		WinMain function.
//	@param
//	@return
//-----------------------------------------------------------------------------
#if !defined(_WIN32_WCE)
int APIENTRY WinMain(HINSTANCE hInstance,
                     HINSTANCE hPrevInstance,
                     LPSTR     lpCmdLine,
                     int       nCmdShow )
#else
int WINAPI WinMain(	HINSTANCE hInstance,
					HINSTANCE hPrevInstance,
					LPTSTR    lpCmdLine,
					int       nCmdShow)
#endif
{
	MyLog log;
	
	log.SetFacility(LOGFACILITY_MAIL);
	log.SetTag("SSMTP");

	//------------ Prevent multiple instance  ------------------
	HANDLE g_Mutex = CreateMutex(NULL,FALSE,L"____PIGEON_BY_ISHISOFT___");
	if( GetLastError() == ERROR_ALREADY_EXISTS )
	{
		log.Dbg("already invoked.");
		CloseHandle( g_Mutex );
		return 0; 
	}

	/*
	// ====================================================
	WSADATA	wsaData;
	WORD winsockversion = MAKEWORD(2,0);
	int winsockstartup;
	
	winsockstartup = WSAStartup(winsockversion,&wsaData);

	if (winsockstartup != 0 || (wsaData.iMaxSockets < 1) )
	{
		WSACleanup();
		return 0;
	}
	// ====================================================
	*/

	MySmtpTalker smtp;

	if( lpCmdLine )
	{
		if( '\0' == lpCmdLine[0] )
		{
			smtp.SendMail();
		}
		else
		{
			MyString s( lpCmdLine );

			if( NULL == (const char*)s )
				log.Err( "invoked but no memory." );
			else
				smtp.SendMail(s);
		}
	}
	else
	{
		smtp.SendMail();
	}

	return 1;
}
