/* =========================================================================
	This library is part of IshiSoft base class.
	------------------------------------------------------------------------
	author: Yuichiro Ishitani
			http://www001.upp.so-net.ne.jp/ishi/index.html
  ========================================================================== */
#if !defined(_SMTP_ERRCODE_H_INCLUDED_)
#define _SMTP_ERRCODE_H_INCLUDED_


//                  0---------1---------2--------3--------4--------5-------6---
//#define SMTPRES220 "<domain> Service ready";
//#define SMTPRES221 "System status, or system help reply";
#define SMTPRES214 "http://www001.upp.so-net.ne.jp/ishi/";
#define SMTPRES235 "Authentication successful"
#define SMTPRES250 "Requested mail action okay, completed"
#define SMTPRES251 "User not local; will forward to <forward-path>"

#define SMTPRES354 "Start mail input; end with <CRLF>.<CRLF>"

#define SMTPRES421 "Service not available,closing transmission channel"
#define SMTPRES450 "Requested mail action not taken: mailbox unavailable"
#define SMTPRES451 "Requested action aborted: local error in processing"
#define SMTPRES452 "Requested action not taken: insufficient system storage"

#define SMTPRES500 "Syntax error, command unrecognized"
#define SMTPRES501 "Syntax error in parameters or arguments"
#define SMTPRES502 "Command not implemented"
#define SMTPRES503 "Bad sequence of commands"
#define SMTPRES504 "Command parameter not implemented"
#define SMTPRES530 "Authentication required"
#define SMTPRES535 "Authentication failure"
#define SMTPRES550 "Requested action not taken: mailbox unavailable"
#define SMTPRES551 "User not local; please try <forward-path>"
#define SMTPRES552 "Requested mail action aborted: exceeded storage allocation or loop mail"
#define SMTPRES553 "Requested action not taken: mailbox name not allowed"
#define SMTPRES554 "Transaction failed"

#endif //_SMTP_ERRCODE_H_INCLUDED_