/* =========================================================================
	This library is part of IshiSoft base class.
	------------------------------------------------------------------------
	author: Yuichiro Ishitani
			http://www001.upp.so-net.ne.jp/ishi/index.html
  ========================================================================== */
#if !defined(__THREADTYPE_H__INCLUDED_)
#define __THREADTYPE_H__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "resource.h"
#include "winsock.h"

enum
{
	SERVERTYPE_POP3,
	SERVERTYPE_SMTP
};

typedef unsigned short SERVERTYPE;

typedef struct _LISTENTHREAD
{
	BOOL	bStop;
	HANDLE	hThread;
	DWORD	dwThreadID;

	SERVERTYPE	servertype;
	u_short	nPort;
	int		nServers;
} LISTENTHREAD, *LPLISTENTHREAD;

typedef struct _ACCEPTTHREAD
{
	BOOL	bStop;
	HANDLE	hThread;
	DWORD	dwThreadID;

	BOOL	bSuspended;
	SOCKET	sock;
	sockaddr_in	saRemoteHost;
	void*	pAcceptConsole;
} ACCEPTTHREAD, *LPACCEPTTHREAD;

#define MAX_LOG_LINE_SIZE	100


#endif // !defined(__THREADTYPE_H__INCLUDED_)
