/* =========================================================================
	This library is part of IshiSoft base class.
	------------------------------------------------------------------------
	author: Yuichiro Ishitani
			http://www001.upp.so-net.ne.jp/ishi/index.html
  ========================================================================== */
#if !defined(AFX_MYCONF_H__33DEC9A1_BC46_44DC_9A13_3387D5F6069A__INCLUDED_)
#define AFX_MYCONF_H__33DEC9A1_BC46_44DC_9A13_3387D5F6069A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "MyHashFile.h"
#define CONFIG_FILE						L"config.txt"

/* config.txt */

/* common directory */
#define CONFIG_HOMEDIR					"HOMEDIR"
#define CONFIG_TMPDIR					"TMPDIR"
#define CONFIG_QUEUEDIR					"QUEUEDIR"
#define CONFIG_POPAUTHDIR				"POPAUTHDIR"

/* daemon schedule */
#define CONFIG_CLEANUPTIMER				"CLEANUPTIMER"
#define CONFIG_SENDMAILROUNDTIMER		"SENDMAILROUNDTIMER"
#define CONFIG_QUEUELIFETIME			"QUEUELIFETIME"

/* pop before smtp */
#define CONFIG_POPBEFORESMTP			"POPBEFORESMTP"
#define CONFIG_POPAUTHTIMEOUT			"POPAUTHTIMEOUT"

/* DNS server */
#define CONFIG_1STDNSSERVER				"1STDNSSERVER"
#define CONFIG_2NDDNSSERVER				"2NDDNSSERVER"
#define CONFIG_DNSQUERYTIMEOUT			"DNSQUERYTIMEOUT"

/* smtp server */
#define CONFIG_SMTPSERVERS				"SMTPSERVERS"
#define CONFIG_SMTPPORT					"SMTPPORT"
#define CONFIG_ME						"ME"
#define CONFIG_RCPTHOSTS				"RCPTHOSTS"

#define CONFIG_MAXMAILSIZE				"MAXMAILSIZE"
#define CONFIG_SMTPDTIMEOUT				"SMTPDTIMEOUT"

/* smtp auth */
#define CONFIG_USESMTPAUTHPLAIN			"UseSMTPAuthPlain"
#define CONFIG_USESMTPAUTHLOGIN			"UseSMTPAuthLogin"
#define CONFIG_USESMTPAUTHCRAMMD5		"UseSMTPAuthCramMD5"
#define CONFIG_USESMTPAUTHDIGESTMD5		"UseSMTPAuthDigestMD5"

/* smtp timeout(sec) */
#define CONFIG_SMTPGREETINGTIMEOUT		"SMTPGREETINGTIMEOUT"
#define CONFIG_SMTPMAILTIMEOUT			"SMTPMAILTIMEOUT"
#define CONFIG_SMTPRCPTTIMEOUT			"SMTPRCPTTIMEOUT"
#define CONFIG_SMTPDATASTARTTIMEOUT		"SMTPDATASTARTTIMEOUT"
#define CONFIG_SMTPDATABLOCKTIMEOUT		"SMTPDATABLOCKTIMEOUT"
#define CONFIG_SMTPDATACOMPLETETIMEOUT	"SMTPDATACOMPLETETIMEOUT"

/* pop3 server */
#define CONFIG_POP3SERVERS				"POP3SERVERS"
#define CONFIG_POP3PORT					"POP3PORT"
#define CONFIG_PASSWDFILE				"PASSWDFILE"
#define CONFIG_USEAPOPONLY				"USEAPOPONLY"

/* System watermark */
#define CONFIG_STRAGEWATERMARK			"STRAGEWATERMARK"
#define CONFIG_MEMORYWATERMARK			"MEMORYWATERMARK"

class MyConf : public MyHashFile  
{
public:
	MyConf();
	virtual ~MyConf();

};

#endif // !defined(AFX_MYCONF_H__33DEC9A1_BC46_44DC_9A13_3387D5F6069A__INCLUDED_)
