/* =========================================================================
	This library is part of IshiSoft base class.
	------------------------------------------------------------------------
	author: Yuichiro Ishitani
			http://www001.upp.so-net.ne.jp/ishi/index.html
  ========================================================================== */
#if !defined(AFX_MYSTRING_H__0B3748D8_E36C_46E4_9391_1DC020A36614__INCLUDED_)
#define AFX_MYSTRING_H__0B3748D8_E36C_46E4_9391_1DC020A36614__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class MyString  
{
private:
	char* m_pszString;
	WCHAR* m_pwszWideString;
public:
	void Clear();
	int Set( const WCHAR* pwszSrc );
	int Set( const char* pszSrc );
	MyString();
	MyString( const char* pszSrc );
	MyString( const WCHAR* pwszSrc );
	virtual ~MyString();

	operator const WCHAR*();
	operator const char*();
};

#endif // !defined(AFX_MYSTRING_H__0B3748D8_E36C_46E4_9391_1DC020A36614__INCLUDED_)
