/* =========================================================================
	This library is part of IshiSoft base class.
	------------------------------------------------------------------------
	author: Yuichiro Ishitani
			http://www001.upp.so-net.ne.jp/ishi/index.html
  ========================================================================== */
#if !defined(AFX_MyTmpFileMgr_H__E020E955_2BC6_4086_BB3E_75F668B609CC__INCLUDED_)
#define AFX_MyTmpFileMgr_H__E020E955_2BC6_4086_BB3E_75F668B609CC__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "staticvariable.h"

class MyTmpFileMgr
{
public:
	DWORD GetFileSize() const;
	int GetFileName( WCHAR* pwszDst, int nLen ) const;
	int GetFileName( char* pszDst, int nLen ) const;
	int Create( const char* pszTmpDir );
	int AppendLine( const char* pszAppend );
	int Append( const char* pszAppend );

	void Close();
	void Delete();
	MyTmpFileMgr();
	virtual ~MyTmpFileMgr();
private:
	HANDLE m_hFile;
	WCHAR m_wszFileName[UNIQUE_ID_MAX_LEN];
};

#endif // !defined(AFX_MyTmpFileMgr_H__E020E955_2BC6_4086_BB3E_75F668B609CC__INCLUDED_)
