// MySmtpTalker.h: MySmtpTalker class interface

#if !defined(AFX_MYSMTPTALKER_H__5B9DF179_6131_4064_AF03_89C6DEE12DDB__INCLUDED_)
#define AFX_MYSMTPTALKER_H__5B9DF179_6131_4064_AF03_89C6DEE12DDB__INCLUDED_

#include "..\LIB\MyConf.h"	// ClassView ɂĒǉ܂B
#include "..\LIB\MyHashEx.h"
#include "..\LIB\MyHashFile.h"
#include "..\LIB\MyLog.h"
#include "staticvariable.h"
#include "..\LIB\MyConsole.h"

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class MySmtpTalker  
{
public:
	int SendMail(const char* pszSrcName = NULL);
	int SetDataFileName(const char* pszSrcName);
	MySmtpTalker();
	virtual ~MySmtpTalker();

protected:
	int ProcessQueue();
	int GetIndexFilePath(const char* pszTargetName, char* pszFilePath, unsigned int nSize);
	int GetDataFilePath(const char* pszTargetName, char* pszFilePath, unsigned int nSize);
	int Transact(MyConsole* pServer, MyHashEx* phsRecipientsOfThisDomain );
	int ConnectServer(MyConsole* pServer, const char *pDomain);
//	void CopyAllToRetryRcptList(pDomain);
	void CreatePermanentFatalMsg( const char* pszTo, const char* pszSendMsg, const char* pszRecvMsg, MyHashEx* phsErrRecipient );
	void DeleteIndexAndDataFile(const char* pszSrcFile);

	HANDLE m_hDataFile;
	HANDLE m_hIndexFile;
	char m_szMailFrom[MAX_MAILADDR_LEN256+1];
	char m_szSrcFile[MAX_PATH];
	MyLog m_log;
	MyHashEx m_hsRcptList;
	MyHashEx m_hsRetryRcptList;
	MyHashEx m_hsDomainList;
};

#endif // !defined(AFX_MYSMTPTALKER_H__5B9DF179_6131_4064_AF03_89C6DEE12DDB__INCLUDED_)
